using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AudioWallpaper.WebWallpaper {
    public class WebWallpaperManager {
        String url = null;
        String BrowserPath = null;
        public WebWallpaperManager(string url) {
            this.url = url;
            this.BrowserPath = GetDefaultBrowserPath();
        }
        public Process StartWebWallpaper(String url) {
            return null;
        }
        public static String GetDefaultBrowserPath() {
            //从注册表中读取默认浏览器可执行文件路径
            RegistryKey key = Registry.ClassesRoot.OpenSubKey(@"http\shell\open\command\");
            string s = key.GetValue("").ToString();
            Console.WriteLine(s);
            return s;
        }
    }
}
